Bug 23392 - Support MARC21 indicators for private note fields
Summary: Support MARC21 indicators for private note fields
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-29 13:20 UTC by Nick Clemens
Modified: 2019-10-24 10:00 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23392: Don;t display private notes in MARC 21 (5.12 KB, patch)
2019-07-29 13:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23392: Don;t display private notes in MARC 21 (5.20 KB, patch)
2019-10-23 15:23 UTC, Myka Kennedy Stephens
Details | Diff | Splinter Review
Bug 23838: Add 'renewals' API route (17.16 KB, patch)
2019-10-23 15:32 UTC, Myka Kennedy Stephens
Details | Diff | Splinter Review
Bug 23838: Add renewals modal (8.07 KB, patch)
2019-10-23 15:32 UTC, Myka Kennedy Stephens
Details | Diff | Splinter Review
Bug 23392: Don;t display private notes in MARC 21 (4.92 KB, patch)
2019-10-24 06:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-07-29 13:20:08 UTC
MARC21 indicates that several notes fields (541,542,561,583,590) are 'private' if first indicator is 0 and should not display on OPAC
Comment 1 Nick Clemens 2019-07-29 13:24:45 UTC
Created attachment 91851 [details] [review]
Bug 23392: Don;t display private notes in MARC 21

To test:
1 - Add some notes to a record in fields 541,542,561,583,590
2 - Ensure all of these are visible in the frameworks
3 - Note they appear in the 'Title notes'/'Description' tabs on OPAC/Staff client
4 - Mark first indicator '0' on all notes
5 - They still display
6 - Apply patch
7 - Notes no longer show on OPAC
8 - Notes still show on Staff client
9 - prove -v t/Biblio/GetMarcNotes.t
Comment 2 Myka Kennedy Stephens 2019-10-20 00:01:00 UTC
Passed test. Works as expected.
Comment 3 Myka Kennedy Stephens 2019-10-23 15:23:51 UTC
Created attachment 94632 [details] [review]
Bug 23392: Don;t display private notes in MARC 21

To test:
1 - Add some notes to a record in fields 541,542,561,583,590
2 - Ensure all of these are visible in the frameworks
3 - Note they appear in the 'Title notes'/'Description' tabs on OPAC/Staff client
4 - Mark first indicator '0' on all notes
5 - They still display
6 - Apply patch
7 - Notes no longer show on OPAC
8 - Notes still show on Staff client
9 - prove -v t/Biblio/GetMarcNotes.t

Signed-off-by: Myka Kennedy Stephens <mkstephens@lancasterseminary.edu>
Comment 4 Myka Kennedy Stephens 2019-10-23 15:32:12 UTC Comment hidden (obsolete)
Comment 5 Myka Kennedy Stephens 2019-10-23 15:32:15 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2019-10-24 05:59:25 UTC
Comment on attachment 94632 [details] [review]
Bug 23392: Don;t display private notes in MARC 21

Review of attachment 94632 [details] [review]:
-----------------------------------------------------------------

::: Koha/Cache.pm
@@ +249,4 @@
>            ? $set_sub->( $key, $value )
>            : $self->{$cache}->set( $key, $value );
>      }
> +    warn $expiry;

Should be removed - I'll amend the patch.
Comment 7 Katrin Fischer 2019-10-24 06:02:04 UTC
Created attachment 94642 [details] [review]
Bug 23392: Don;t display private notes in MARC 21

To test:
1 - Add some notes to a record in fields 541,542,561,583,590
2 - Ensure all of these are visible in the frameworks
3 - Note they appear in the 'Title notes'/'Description' tabs on OPAC/Staff client
4 - Mark first indicator '0' on all notes
5 - They still display
6 - Apply patch
7 - Notes no longer show on OPAC
8 - Notes still show on Staff client
9 - prove -v t/Biblio/GetMarcNotes.t

Signed-off-by: Myka Kennedy Stephens <mkstephens@lancasterseminary.edu>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2019-10-24 10:00:09 UTC
Nice work!

Pushed to master for 19.11.00